Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000476Frama-CPlug-in > jessiepublic2010-05-11 13:552010-12-18 11:19
Reportersignoles 
Assigned Tocmarche 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Carbon-20101202-beta2 
Summary0000476: Partial support of tset leads to assert failure
Description=== a.c ===
void f(int t[], int n) {
  /*@ assert t[0..n-1] == 0; */
}
===========

$ frama-c -jessie a.c
[kernel] preprocessing with "gcc -C -E -I. -dD /localhome/julien/a.c"
[jessie] Starting Jessie translation
[jessie] Producing Jessie files in subdir /localhome/julien/a.jessie
[jessie] File /localhome/julien/a.jessie/a.jc written.
[jessie] File /localhome/julien/a.jessie/a.cloc written.
[jessie] Calling Jessie tool in subdir /localhome/julien/a.jessie
Generating Why function f
File "jc/jc_interp.ml", line 1000, characters 27-27:
Uncaught exception: File "jc/jc_interp.ml", line 1000, characters 27-33: Assertion failed
[jessie] user error: Jessie subprocess failed: jessie -why-opt -split-user-conj -v -locs a.cloc a.jc
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001320)
cmarche (developer)
2010-12-16 17:26


Why 2.28 outputs a better error message

- Issue History
Date Modified Username Field Change
2010-05-11 13:55 signoles New Issue
2010-05-11 13:55 signoles Status new => assigned
2010-05-11 13:55 signoles Assigned To => cmarche
2010-12-16 17:26 cmarche Note Added: 0001320
2010-12-16 17:26 cmarche Status assigned => resolved
2010-12-16 17:26 cmarche Resolution open => fixed
2010-12-18 11:18 signoles Fixed in Version => Frama-C Carbon-20101202-beta2
2010-12-18 11:19 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker